# $Date: 1996/10/09 16:00:57 $ $Author: zimmerma $ $Revision: 1.7 $ #

# kg, 05/09/95 #

#--
generate.mu -- define/load functions generating foreign formats
--#

proc()
    local path;
begin

generate:= domain("generate"):
generate::info:= "Library 'generate': Generate foreign formats from expressions":
generate::interface:= { hold(TeX), hold(C), hold(fortran) }:

path:= pathname("GENERATE"):

generate::TeX:= loadproc(generate::TeX, path, "TeX"):
generate::TeXdef:= loadproc(generate::TeXdef, path, "TeX"):
generate::C:= loadproc(generate::C, path, "C"):
generate::fortran:= loadproc(generate::fortran, path, "fortran"):
generate::gb:= loadproc(generate::gb, path, "gb"):
generate::lisp:= loadproc(generate::lisp, path, "lisp"):
generate::maple:= loadproc(generate::maple, path, "maple"):
generate::mathematica:= loadproc(generate::mathematica, path, "mma"):
generate::splitProduct:= loadproc(generate::splitProduct, path, "splprod"):
generate::sortSum:= loadproc(generate::sortSum, path, "sortsum"):

stdlib::LoadlibState["generate"]:= TRUE:

end_proc():

# end of file #
